dbXML API

## org.dbxml.core.objects
Interface XMLObject

All Superinterfaces:
  org.dbxml.server.Configurable, org.dbxml.server.Named, Reflectable

All Known Implementing Classes:
  SimpleXMLObject

public interface XMLObject
extends Reflectable, org.dbxml.server.Named, org.dbxml.server.Configurable

XMLObject is an interface used to identify a class as a being a dbXML XML Object. An XML Object is an object that is designed specifically to extend or refine access to a dbXML Collection.

Fields inherited from interface org.dbxml.core.objects.Reflectable
`NO_PARAMS`

Method Summary
`Collection` `getCollection()`
`void` `setCollection(Collection collection)`

Methods inherited from interface org.dbxml.core.objects.Reflectable
`getReflector, queryInterface`

Methods inherited from interface org.dbxml.server.Named
`getName`

Methods inherited from interface org.dbxml.server.Configurable
`getConfig, setConfig`

Method Detail

### setCollection

    public void setCollection(Collection collection)

### getCollection

    public Collection getCollection()

dbXML API

Copyright (c) 1999-2001 The dbXML Group, All rights reserved